View Issue Details

IDProjectCategoryView StatusLast Update
0004713unrealircdpublic2017-10-29 11:26
ReporterdgAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.0.4 
Target VersionFixed in Version4.0.16 
Summary0004713: memory leak in api-isupport.c:67
DescriptionStarting UnrealIRCd
unlimit core size failed; errno = 1
 _ _ _ ___________ _____ _
| | | | | |_ _| ___ \/ __ \ | |
| | | |_ __ _ __ ___ __ _| | | | | |_/ /| / \/ __| |
| | | | '_ \| '__/ _ \/ _` | | | | | / | | / _` |
| |_| | | | | | | __/ (_| | |_| |_| |\ \ | \__/\ (_| |
 \___/|_| |_|_| \___|\__,_|_|\___/\_| \_| \____/\__,_|
                           v4.0.4

  using TRE 0.8.0 (BSD)
  using OpenSSL 1.0.2h 3 May 2016

Loading IRCd configuration..
[warning] /home/user/unrealircd_install/conf/unrealircd.conf:325: Duplicate except tkl::mask directive
Configuration loaded without any problems.
Loading tunefile..
Initializing SSL..
Dynamic configuration initialized.. booting IRCd.
UnrealIRCd is now listening on the following addresses/ports:
IPv4: *:6900, *:6697, *:6667
IPv6: *:6900, *:6697, *:6667
UnrealIRCd started.

=================================================================
==20790==ERROR: LeakSanitizer: detected memory leaks

Direct leak of 380 byte(s) in 1 object(s) allocated from:
    #0 0x7fac79567bda in __interceptor_calloc (/usr/lib/gcc/x86_64-pc-linux-gnu/5.4.0/libasan.so.2+0x98bda)
    #1 0x494897 in make_isupportstrings /home/user/unrealircd/src/api-isupport.c:67

SUMMARY: AddressSanitizer: 380 byte(s) leaked in 1 allocation(s).
=====================================================
UnrealIRCd failed to start. Check above for possible errors.
If you don't understand the problem, then have a look at our:
* FAQ (Frequently Asked Questions): https://www.unrealircd.org/docs/FAQ
* Documentation: https://www.unrealircd.org/docs/
=====================================================

I had a go at fixing it myself but ended up screwing up the ISUPPORT output.
"/* TODO: is all this code really safe? */" heh

Tiny leak, but LeakSanitizer is whining about it.
Steps To ReproduceCFLAGS: -fsanitize=address (or leak) and -fno-omit-frame-pointer.
TagsNo tags attached.
3rd party modules

Activities

syzop

2017-10-29 11:26

administrator   ~0019932

Fixed in 4.0.16(-rc1).

Took a while, thanks for the report.

Issue History

Date Modified Username Field Change
2016-07-06 15:52 dg New Issue
2017-10-29 11:26 syzop Assigned To => syzop
2017-10-29 11:26 syzop Status new => resolved
2017-10-29 11:26 syzop Resolution open => fixed
2017-10-29 11:26 syzop Fixed in Version => 4.0.16
2017-10-29 11:26 syzop Note Added: 0019932